[llvm-commits] [release_19] CVS: llvm-poolalloc/autoconf/AutoRegen.sh

John Criswell criswell at cs.uiuc.edu
Wed Dec 13 12:58:33 PST 2006



Changes in directory llvm-poolalloc/autoconf:

AutoRegen.sh added (r1.1.2.1)
---
Log message:

Added AutoRegen.sh script from the SAFECode project, which is based on
the original one from the LLVM project.


---
Diffs of the changes:  (+30 -0)

 AutoRegen.sh |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+)


Index: llvm-poolalloc/autoconf/AutoRegen.sh
diff -c /dev/null llvm-poolalloc/autoconf/AutoRegen.sh:1.1.2.1
*** /dev/null	Wed Dec 13 14:58:15 2006
--- llvm-poolalloc/autoconf/AutoRegen.sh	Wed Dec 13 14:58:04 2006
***************
*** 0 ****
--- 1,30 ----
+ #!/bin/sh
+ die () {
+ 	echo "$@" 1>&2
+ 	exit 1
+ }
+ test -d autoconf && test -f autoconf/configure.ac && cd autoconf
+ test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
+ autoconf --version | egrep '2\.5[0-9]' > /dev/null
+ if test $? -ne 0 ; then
+ 	die "Your autoconf was not detected as being 2.5x"
+ fi
+ cwd=`pwd`
+ if test -d ../../../autoconf/m4 ; then
+   cd ../../../autoconf/m4
+   llvm_m4=`pwd`
+   cd $cwd
+ elif test -d ../../llvm/autoconf/m4 ; then
+   cd ../../llvm/autoconf/m4
+   llvm_m4=`pwd`
+   cd $cwd
+ else
+   die "Can't find the LLVM autoconf/m4 directory. The project should be checked out to projects directory"
+ fi
+ echo "Regenerating aclocal.m4 with aclocal"
+ rm -f aclocal.m4
+ aclocal -I $llvm_m4 -I "$llvm_m4/.." || die "aclocal failed"
+ echo "Regenerating configure with autoconf 2.5x"
+ autoconf --warnings=all -o ../configure configure.ac || die "autoconf failed"
+ cd ..
+ exit 0






More information about the llvm-commits mailing list